-- eigener Held beim Szenario-Start, ohne unit-Zuordnung
-- Condition: AlwaysTrue()
-- Actions: NewRoundAction

function AlwaysTrue()
	return true
end

function CreateHero1()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen1", "Infanterie_Held")
	hero.extra_traits = {UnitTrait.Butcher}
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}}
	hero.unit_classes = {UnitClass.Infantry}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero2()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen2", "Panzer_Held")
	hero.extra_traits = {UnitTrait.DoubleAttack}
--	hero.defense_modifiers = {{type = Ground, mod = 1}, {type = Close, mod = 1}}
	hero.attack_modifiers = {{type = TargetType.Hard, mod = 1}}
	hero.unit_classes = {UnitClass.Tank}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero3()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen3", "AT_Held")
	hero.extra_traits = {UnitTrait.TankKiller}
	hero.attack_modifiers = {{type = TargetType.Hard, mod = 1}}
	hero.unit_classes = {UnitClass.AntiTank}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero4()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen4", "Recon_Held")
	hero.extra_traits = {UnitTrait.Camouflage}
	hero.modifiers = {{type = Spotting, mod = 1}}
	hero.unit_classes = {UnitClass.Recon}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero5()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen5", "Artillerie_Held")
	hero.extra_traits = {UnitTrait.ZeroSlots}
	hero.modifiers = {{type = Range, mod = 1}}
	hero.unit_classes = {UnitClass.Artillery}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero6()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen6", "Flak_Held")
	hero.extra_traits = {UnitTrait.ExpertSupport}
	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}}
	hero.unit_classes = {UnitClass.AntiAir}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero7()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen7", "Jagt_Held")
	hero.extra_traits = {UnitTrait.FastRebase}
	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}}
	hero.unit_classes = {UnitClass.Fighter}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero8()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen8", "TBomber_Held")
	hero.extra_traits = {UnitTrait.QuadripleGun}
	hero.modifiers = {{type = Initiative, mod = 1}}
	hero.unit_classes = {UnitClass.TacticalBomber}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end

function CreateHero9()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen9", "StraBomb_Held")
	hero.extra_traits = {UnitTrait.LethalAttack}
	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}, {type = TargetType.Naval, mod = 1}}
--	hero.attack_modifiers = {{type = TargetType.Naval, mod = 1}}
--	hero.defense_modifiers = {{type = Air, mod = 1}} -- wegen bug nicht mglich
	hero.unit_classes = {UnitClass.StrategicBomber}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- feindliche Helden erzeugen und zuweisen
function CreateAndAssignHero1(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen10", "Hero1")
	hero.attack_modifiers = {{type = TargetType.Soft, mod = 1}, {type = TargetType.Hard, mod = 1}, {type = TargetType.Air, mod = 1}}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end

function F1()
	CreateAndAssignHero1(3) -- "3" ist die unit-ID, die den Helden erhlt
end


function CreateAndAssignHero2(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen11", "Hero2")
	hero.extra_traits = {UnitTrait.DoubleSupport, UnitTrait.TenaciousDefender}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end

function F2()
	CreateAndAssignHero2(6)
end


function CreateAndAssignHero3(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = NSLOCTEXT("scenario_Libya", "Peter_Libyen12", "Hero3")
	hero.extra_traits = {UnitTrait.Survivor, UnitTrait.Leadership}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end

function F3()
	CreateAndAssignHero3(7)
end
